clear all;
close all;
%-------------------------------------------------------------------------------------------
X = [0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46; 
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46; 
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46; 
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46];
 
Xrow = [0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46];

Ycol = [142.5 143.3125 144.125 144.9375 145.75 146.5625 147.375 148.1875 149 149.8125 150.625 151.4375 152.25 153.0625 153.875 154.6875 155.5];
 
Y = [Ycol Ycol Ycol Ycol Ycol Ycol Ycol Ycol Ycol Ycol Ycol Ycol Ycol Ycol Ycol Ycol Ycol]*10^9;

x = reshape(X,17,17)';

y = reshape(Y,17,17)';

z = [
0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000766467	0.000822732	0.000892787	0.000981722	0.00109752	0.00125345	0.00147333	0.00180466;
0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000769107	0.000825756	0.000896272	0.000985775	0.00110229	0.00125916	0.00148034	0.00181358;
0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000771751	0.000828783	0.000899759	0.000989828	0.00110706	0.00126487	0.00148734	0.00182251;
0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000774398	0.000831813	0.00090325	0.000993883	0.00111183	0.00127058	0.00149435	0.00183144;
0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000777048	0.000834846	0.000906743	0.000997942	0.0011166	0.00127629	0.00150136	0.00184037;
0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.0007797	0.000837882	0.000910239	0.001002	0.00112138	0.001282	0.00150837	0.00184929;
0.000752849	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000782357	0.000840921	0.000913737	0.00100607	0.00112615	0.00128772	0.00151538	0.00185822;
0.000746278	0.000755454	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000785016	0.000843962	0.000917237	0.00101013	0.00113093	0.00129343	0.00152239	0.00186715;
0.000739808	0.000748893	0.000758037	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000787678	0.000847006	0.00092074	0.0010142	0.00113571	0.00129915	0.0015294	0.00187608;
0.000733438	0.000742433	0.000751485	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000790343	0.000850053	0.000924245	0.00101826	0.00114049	0.00130487	0.00153642	0.00188501;
0.000727165	0.000736071	0.000745034	0.000754053	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000793011	0.000853103	0.000927753	0.00102234	0.00114528	0.00131059	0.00154343	0.00189394;
0.000720986	0.000729805	0.00073868	0.000747611	0.000756598	0.000758602	0.000758602	0.000758602	0.000758602	0.000795682	0.000856155	0.000931262	0.00102641	0.00115006	0.00131631	0.00155044	0.00190287;
0.000714901	0.000723634	0.000732423	0.000741267	0.000750166	0.000758602	0.000758602	0.000758602	0.000758602	0.000798356	0.000859209	0.000934774	0.00103048	0.00115485	0.00132203	0.00155746	0.0019118;
0.000708907	0.000717555	0.000726259	0.000735017	0.00074383	0.000752698	0.000758602	0.000758602	0.000758602	0.000801032	0.000862266	0.000938289	0.00103456	0.00115964	0.00132776	0.00156448	0.00192073;
0.000703002	0.000711567	0.000720187	0.00072886	0.000737589	0.000746371	0.000755207	0.000758602	0.000758602	0.000803712	0.000865324	0.000941805	0.00103864	0.00116443	0.00133348	0.00157149	0.00192967;
0.000697185	0.000705668	0.000714204	0.000722796	0.00073144	0.000740138	0.00074889	0.000757695	0.000758602	0.000806393	0.000868387	0.000945323	0.00104272	0.00116922	0.00133921	0.00157851	0.0019386;
0.000691453	0.000699856	0.000708311	0.00071682	0.000725382	0.000733997	0.000742665	0.000751387	0.000758602	0.000809078	0.000871451	0.000948844	0.0010468	0.00117401	0.00134494	0.00158553	0.00194753];

%-------------------------------------------------------------------------------------------
% Plot: lambda(E,nu)
figure(1)
% tiledlayout(2,1)
% % Top plot
% ax1 = nexttile;
% stem(ax1,y,z)

% % Bottom plot
% ax2 = nexttile;  
% stem3(ax2,x,y,z,'MarkerFaceColor','r')

stem3(x,y,z,...
    'LineStyle','--',...
    'Marker','^',...
    'MarkerEdgeColor','[0.8500 0.3250 0.0980]',...
    'MarkerFaceColor','[0.8500 0.3250 0.0980]')

zlim([0.0006 0.00194753])
ylim([142E9 156E9])
xlim([0.3 0.46])

xticks([0.30 0.32 0.35 0.38 0.40 0.43 0.46])
yticks([142.5E9 145E9 147E9 150E9 152E9 155.5E9])
zticks([0.0007586 0.00105 0.00135 0.00165 0.0019475])

title('Strain energy density $\mathcal{E}(E,\nu)$ - Low load - noDoped-60Ta-LLZO','interpreter','latex','FontSize',12);
ylabel('Young $E \ [N/m^2]$','interpreter','latex','FontSize',12); 
xlabel('Poisson $\nu \ [-]$','interpreter','latex','FontSize',12);
zlabel('$\mathcal{E} (E,\nu)$','interpreter','latex','FontSize',12);

set(gca,'TickLabelInterpreter','latex');
view([37 46]);
% pure view of E
% view([90 0]);
% pure view of nu
% view([0 0]);
grid on
set(gcf,'renderer','Painters')
print -depsc -tiff -r300 -painters Lowload_60TaDoped_strainenergy_LLZO_48e.eps
print -dpng Lowload_60TaDoped_strainenergy_LLZO_48e.png